Summary: A text-based modem control and terminal emulation program
Name: minicom
Version: 2.6.1
Release: 1
URL: http://alioth.debian.org/projects/minicom/
License: GPLv2+
Group: Applications/Communications
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: ncurses-devel >= 5.6-2
BuildRequires: gettext
BuildRequires: libiconv >= 1.14-2
Requires: ncurses >= 5.6-1
Requires: gettext
Requires: libiconv >= 1.14-2

Source0: https://alioth.debian.org/frs/download.php/3487/%{name}-%{version}.tar.gz
Patch0: %{name}-%{version}-aix.patch

%description
Minicom is a simple text-based modem control and terminal emulation
program somewhat similar to MSDOS Telix. Minicom includes a dialing
directory, full ANSI and VT100 emulation, an (external) scripting
language, and other features.


%prep
%setup -q
%patch0

cp -pr doc doc_
rm -f doc_/Makefile*

cd src
# fake a <stdbool.h> as AIX5L V5.1 and XLC/C++ V7 doesn't have one
cat > stdbool.h << EOF
#ifndef stdbool_h_wrapper
#define stdbool_h_wrapper

typedef enum {false = 0, true = 1} bool;

#endif
EOF


%build
export CC="xlc"

./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --with-libintl-prefix=%{_prefix}

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

/usr/bin/strip ${RPM_BUILD_ROOT}%{_bindir}/* || :

(
  cd ${RPM_BUILD_ROOT}
  for dir in bin lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system)
%doc ChangeLog AUTHORS NEWS TODO doc_/*
# DO NOT MAKE minicom SUID/SGID anything.
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/locale/*/*/*
/usr/bin/*


%changelog
* Tue Jun 12 2012 Michael Perzl <michael@perzl.org> - 2.6.1-1
- updated to version 2.6.1

* Mon Jan 30 2012 Michael Perzl <michael@perzl.org> - 2.6-1
- updated to version 2.6

* Mon Jan 31 2011 Michael Perzl <michael@perzl.org> - 2.5-1
- first version for AIX V5.1 and higher
